local cv_allow_nopowermusic = CV_RegisterVar({
    name = "allow_nopowermusic",
    defaultvalue = "On",
    possiblevalue = CV_OnOff,
})

-- Put music names here (in upper case, without the 'O_')
local NO_POWER_MUSIC = {
    ["PIZZIZ"] = true,
	["PIZZRO"] = true,-- Example
}

addHook("MusicChange", function(old, new, mflags, looping, position, prefadems, fadems)
    if not cv_allow_nopowermusic.value then return end

    new = new:upper()
    old = old:upper()

    if NO_POWER_MUSIC[old] and (new == "KGROW" or new == "KINVNC") then
        return old, mflags, looping, position, prefadems, fadems
    end
end)